Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrStipple Class Reference

A GdkPangoAttrStipple C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrStipple:

List of all members.

## Public Member Functions

Constructors

- AttrStipple (Gdk::Bitmap &stipple)
    Constructs a new attribute containing a stipple bitmap to be used when rendering the text.

Accessors

- GdkPangoAttrStipple * gdk_pango_attr_stipple () const
    Get a pointer to the GdkPangoAttrStipple structure.
- Gdk::Bitmap * stipple () const
    Returns the stipple bitmap.

## Detailed Description

A GdkPangoAttrStipple C++ wrapper class.

AttrStipple is a Pango text attribute containing a stipple bitmap to be used when rendering the text.

## Constructor & Destructor Documentation

Inti::Pango::AttrStipple::AttrStipple | ( | Gdk::Bitmap & | stipple | ) | `[explicit]`

  | Constructs a new attribute containing a stipple bitmap to be used when rendering the text. Parameters:
  stipple | A bitmap to be set as the stipple bitmap.

## Member Function Documentation

Gdk::Bitmap* Inti::Pango::AttrStipple::stipple | ( |  | ) | const

| Returns the stipple bitmap. This bitmap is owned by the attribute and will unreferenced when the attribute is destroyed.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer